import React from 'react';
declare type AuthProps = {
    authCookieName: string;
    authTimeCookieName: string;
    stateCookieName: string;
    cookieDomain: string;
    cookieSecure: boolean;
    children: React.ReactChildren;
};
/**
 * AuthProvider Functional Component
 *
 * @param children - Children Component
 * @param authCookieName - Cookie Name for Auth Storing
 * @param authTimeCookieName - Cookie name for Auth Time Storing
 * @param stateCookieName - Cookie name for Auth User Data Storing
 * @param cookieDomain - Domain Name for the Cookies
 * @param cookieSecure - HTTP / HTTPS
 * @constructor
 */
declare const AuthProvider: React.FunctionComponent<AuthProps>;
export default AuthProvider;
